Quassel IRC - Bug #1471

Show channels dialog (/list ui) overflows
01/26/2018 09:09 AM - gry

Status: Resolved Start date: 01/26/2018
Priority: Normal Due date:

Assignee: genius3000 % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.12.4 0S: Any
Description

Show channels dialog (/list ui) overflows at freenode and gamesurge. After populating the dialog a little Quassel starts showing /list in
the network chat view instead. Perhaps this is because /list is large, or the network is sending something that Quassel takes for 'this

is the end of /list' signal. Anyway, this needs to be investigated and fixed.

History

#1 - 01/26/2018 09:11 AM - gry

Just to be clear: the steps to reproduce are "connect to freenode or gamesurge, right click the network name, click 'Show channel list', click 'show
channels' in the dialog that opens. Expected is all channels are shown in the dialog. Actual result is that /list output starts flooding the network chat

view in raw form.

#2 - 01/31/2018 05:24 AM - genius3000

I'm quite certain this is due to a command timeout timer being hit while the server is still replying. That causes the current channel list to show in the

Ul and report as finished, therefore the rest of the list goes to the status buffer.

Increasing the timer duration or even the as is implementation, can be problematic with multiple clients or when requesting a channel list more than

once (accidentally clicking again, different networks).

As noted on IRC by justdanne, this is only fully fixable once the IRCv3 batch and label caps are standard.

I'm hoping to find a solution to at least better the current method and minimize the chance of issues with the channel list.

#3 - 07/16/2018 05:38 AM - genius3000
- Status changed from New to Resolved
- Assignee set to genius3000

- % Done changed from 0 to 100

Fixed in: https:/github.com/quassel/quassel/commit/fc26ee91d0e387007d656eb6e83a7a3a923f527a

#4 - 07/16/2018 05:39 AM - genius3000

- Target version set to 0.13.0
